uniform sampler2D	diffuseMap;

varying vec2 Texcoord;

void main()
{ 
	vec4 data = texture2D( diffuseMap, Texcoord );

	if ( data.r < 0.5 && data.g < 0.5 && data.b < 0.5)
	{
		gl_FragColor.rgb = 1.0;
		gl_FragColor.a = 1.0;
	}
	else
	{
		gl_FragColor.rgb = 0.0;
		gl_FragColor.a = 1.0;
	}
}